How to use

  • Drag and drop files in Explorer with left mouse button or use Copy/Paste commands (Ctrl+C, Ctrl+V). Option "Use TeraCopy as default copy handler" should be enabled.

  • Drag the selected files to the destination window with the right mouse button. Choose "TeraCopy Here" or "TeraMove Here" depending on the action you want to perform on the files.

  • Use entry in the Explorer context menu. Right click on selected file(s) and select "TeraCopy".

  • Use buttons in the Total Commander button bar. Click on "Add buttons" in the TeraCopy configuration window to integrate buttons to the Total Commander.

  • Use buttons in the Directory Opus button bar. Add a custom button with this command:

%ProgramFiles%\TeraCopy\TeraCopy.exe Copy *{allfilepath|filem} {destpath}

Add another button with "Move" command if you need.

(C) 2010 Code Sector


Interface

You can click on the target folder to change it (C:\Archive on the screenshot).

Unattended mode selection:

  • Always Ask - Shows dialog window when target file is already exists
  • Overwrite All
  • Overwrite Older
  • Skip All
  • Rename All
  • Resume All
  • 255 char limit - Don't allow long path names

Note: Even if Always Ask mode is active, File Exists dialog window will be automatically closed after 30 seconds of inactivity and Skip All mode will be set.

Click to select operations performed after files transfer:

  • Shutdown - Turn off computer.
  • Eject - Auto eject removable USB device.
  • Test - Auto run CRC test.
  • Close - Close TeraCopy window.

Press More button to expand TeraCopy window.

  • Clean Up - remove successfully copied/moved files from the list.
  • Test - check copied files by comparing CRC of source and target files.
  • Delete - delete source files from disk.


Preferences

Shell Integration

  • Register Copy Handler - TeraCopy will be present in system menu along with "Copy here" and "Move here".
  • Use TeraCopy as default copy handler - TeraCopy will replace system copy function (using drag'n'drop and files copy/paste).

Misc

  • Always test after copy - run CRC test when transfer completes.
  • Use system write cache - enable for better compatibility with FTP drives and anti-virus software.


Configuration file

Location:

  • XP: C:\Documents and Settings\%USERNAME%\Application Data\TeraCopy\
  • Vista: C:\Users\%USERNAME%\AppData\Roaming\TeraCopy

Options.ini

[Main]

OnTop=1

1: Set window always on top.

CheckFreeSpace=1

1: Check free space on target drive.

DeleteIncompleteFiles=N

Ask to delete incomplete files only if copy took longer then N seconds. Set to 0 to never delete incomplete files.

MaxPathLimit=1

0: Allow to create extra long paths (> 255 characters).

TestAlways=0

1: Run CRC test automatically after each transfer.

NoClose=0

0: Close window after successful file transfer.

SoundAfter=10

Minimum length in seconds of transfer to play sound.

RetriesMax=60

Number of retries for reading files. Set to 0 for unlimited retries.

ButtonTimer=60

ForceSameDriveMode=0

Inactivity period in seconds to auto close File Exists dialog and set Skip All mode.

ShutdownApp=shutdown -s -c "Run shutdown -a to abort" -t 300

Path to application used to turn computer off.


Command line

TeraCopy.exe Operation [*]Source Target [/SkipAll] [/OverwriteOlder] [/RenameAll] [/OverwriteAll] [/NoClose] [/Close]

  • Operation: Copy|Move|Delete|Test|Check
  • Source: File or folder
  • *Source: Path to filelist
  • Target: Destination folder

Examples:

TeraCopy.exe Copy "D:\My Documents" F:\Backup

TeraCopy.exe Copy D:\Video.avi C:\My Documents

TeraCopy.exe Copy D:\Data F:\Backup /OverwriteOlder /Close

TeraCopy.exe Move *C:\Temp\filelist.cmd C:\My Documents /OverwriteAll /NoClose

TeraCopy.exe Test D:\Video.avi

TeraCopy.exe Check D:\checksum.md5

About File Lists:

  • The * must be used to denote a file list, or TeraCopy will simply treat it as a regular file.
  • Paths within a file list may contain spaces and do not require quotes.
  • File lists are formatted with one file path per line.


FAQ

I'm interested in buying TeraCopy Pro and was wondering if I will get free updates to newer versions, I have to re-buy it, each time it is updated?

All future updates are free for registered users.

Trying to figure out how to re-run error files that did not copy over first time thru please?

Just click Clean Up button to leave only problem files and press Copy button again.